JexlScriptEngine.Factory (Apache Commons JEXL 3.7.0 API)
Description: declaration: package: org.apache.commons.jexl3.scripting, class: JexlScriptEngine, class: Factory

Package org.apache.commons.jexl3.scripting

# Class JexlScriptEngine.Factory

java.lang.Object
org.apache.commons.jexl3.scripting.JexlScriptEngineFactory
org.apache.commons.jexl3.scripting.JexlScriptEngine.Factory

All Implemented Interfaces:
  `ScriptEngineFactory`

Enclosing class:
  `JexlScriptEngine`

public static class JexlScriptEngine.Factory extends JexlScriptEngineFactory
A factory that shares the JexlEngine instance between all JexlScriptEngine instances it creates.

All JexlScriptEngine instances created by this factory share the same JexlEngine instance and JexlUberspect instance.

To create a JexlScriptEngine with a different JexlEngine instance, use the `JexlScriptEngine(JexlScriptEngineFactory)` constructor.

Since:
  3.3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Factory()`
  Default constructor.
  `Factory(JexlPermissions permissions)`
  For specialization.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected JexlEngine`
  `getEngine()`
  Creates an engine.

  ### Methods inherited from class org.apache.commons.jexl3.scripting.JexlScriptEngineFactory

  `createJexlEngine, getEngineName, getEngineVersion, getExtensions, getLanguageName, getLanguageVersion, getMethodCallSyntax, getMimeTypes, getNames, getOutputStatement, getParameter, getProgram, getScriptEngine, setDefaultPermissions`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Factory

    public Factory()
    Default constructor.

  - ### Factory

    public Factory(JexlPermissions permissions)
    For specialization.
    Parameters:
      `permissions` - the permissions to use for the engine

- ## Method Details

  - ### getEngine

    protected JexlEngine getEngine()
    Description copied from class: `JexlScriptEngineFactory`
    Creates an engine.
    Overrides:
      `getEngine` in class `JexlScriptEngineFactory`
    Returns:
      the JexlEngine instance, create it if necessary